import request from '@/utils/debugRequest'

//post调试功能接口
export function iotDebugFunctionGet(url,query) {
  return request({
    url: url,
    method: 'get',
    params: query
  })
}
//get调试功能接口
export function iotDebugFunctionPost(url,data) {
  return request({
    url: url,
    method: 'post',
    data: data
  })
}
//诊断-通信状态
export function iotDeviceCheckConnect(query) {
  return request({
    url: '/iot/device/check/connect',
    method: 'get',
    params: query
  })
}
//诊断-在线状态
export function iotDeviceCheckOnline(query) {
  return request({
    url: '/iot/device/check/online',
    method: 'get',
    params: query
  })
}
//诊断-设备状态
export function iotDeviceCheckState(query) {
  return request({
    url: '/iot/device/check/state',
    method: 'get',
    params: query
  })
}
